//*****************************************************************************
//*
//*
//*		NewPicDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"GameDalli.h"
#include	"NewPicDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CNewPicDlg, CDialog)
	//{{AFX_MSG_MAP(CNewPicDlg)
	ON_BN_CLICKED(IDC_BUTTON1, OnPath)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()



//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld CNewPicDlg
CNewPicDlg::CNewPicDlg(CWnd *pParent):CDialog(CNewPicDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CNewPicDlg)
	m_sNumber	=  _T("");
	m_sPath 	=  _T("");
	m_sText 	=  _T("");
	m_sInfo 	=  _T("");
	m_iMode 	= 0;
	//}}AFX_DATA_INIT
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CNewPicDlg::DoDataExchange(CDataExchange *pDX)
{

	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CNewPicDlg)
	DDX_Text    (pDX,IDC_EDIT1 ,m_sNumber);
	DDX_Text    (pDX,IDC_EDIT2 ,m_sText  );
	DDX_Text    (pDX,IDC_EDIT3 ,m_sInfo  );
	DDX_Radio   (pDX,IDC_RADIO1,m_iMode  );
	DDX_CBString(pDX,IDC_COMBO1,m_sPath  );
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CNewPicDlg::OnInitDialog()
{

	m_sNumber.Format("%i",m_iNumber);

	ComboBoxLoad(this,IDC_COMBO1,"NameList","#",m_sPath); 
	
	SetButtonBitmap(this,IDC_BUTTON1,IDB_OPEN);
	
	CDialog::OnInitDialog();


return TRUE;
}

//*****************************************************************************
//*
//*		OnDestroy
//*
//*****************************************************************************
void CNewPicDlg::OnDestroy()
{
	
	DelButtonBitmap(this,IDC_BUTTON1);
	
	CDialog::OnDestroy();


}

//*****************************************************************************
//*
//*		OnPath
//*
//*****************************************************************************
//  Behandlungsroutinen fr Nachrichten CNewPicDlg
void CNewPicDlg::OnPath()
{

	UpdateData();

	CFileDialog	sDlg(TRUE,"*.png",m_sPath,OFN_EXPLORER|OFN_ENABLESIZING|OFN_PATHMUSTEXIST|OFN_HIDEREADONLY,"Bilder (*.png)|*.png|Alle Dateien|*.*|");
	
	   sDlg.m_ofn.lpstrTitle="Bilddatei auswhlen";
	if(sDlg.DoModal()!=IDOK)return;

	m_sPath = sDlg.GetPathName();

	UpdateData(FALSE);

}


//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CNewPicDlg::OnCancel()
{

	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CNewPicDlg::OnOK()
{

	UpdateData();

	if(ExistFile(m_sPath)!=1)
		{
		MessageBox("Bitte ein Bild auswhlen !");
		return;
		}

	if(m_sText.IsEmpty())
		{
		MessageBox("Bitte eine Frage eingen:\n\nz.B. : 'Was ist hier zu sehen ?'");
		return;
		}

	if(m_sInfo.IsEmpty())
		{
		MessageBox("Bitte eine Antwort eingen !");
		return;
		}


	m_iNumber = strtoi(m_sNumber);	

	if(m_iNumber<  1)m_iNumber=1;
	if(m_iNumber>999)m_iNumber=1000;

	ComboBoxSave(this,IDC_COMBO1,"NameList","#");


	CDialog::OnOK();
}

